"use strict";

this.author      = "spara"; 
this.description = "Give some advice when starting the game"; 
this.name        = "start_advice";

this.startUpComplete = function() {
	if (clock.seconds > 180058018404) {
		delete this.missionScreenOpportunity;
	}
}

this.missionScreenOpportunity= function() {
	
	if (!missionVariables.start_advice) {
		this._showStartAdvice();
		missionVariables.startAdvice = true;
	}
	delete this.missionScreenOpportunity;
}

this._showStartAdvice = function() {
	player.ship.hudHidden = true;
	mission.runScreen({
		screenID: "start_advice",
		titleKey: "start_advice_title",
		messageKey: "start_advice_message",
		model: "[cobra3-player]",
		choicesKey: "start_advice_options"
	},
	function (choice) {
		player.ship.hudHidden = false;
		if (choice === "1_YES") this._addPackage();
	})
}

this._addPackage = function() {
		var content = expandDescription("[parcel-description-safe]");
		var sender = randomName() +" "+ randomName();
		var text = sender + "'s " + content;
		player.ship.addParcel(text, 7, 129, clock.seconds + 2 * 24 * 3600, 15, 0, 0);
}
